USE OLAP
--EXCEPT
--Don't load any existing data into our tables
SELECT country,city FROM OLTP.dbo.countries
EXCEPT
SELECT country,city FROM countries
--We get both cities as neither of them is yet in our production countries table

--Note the order is also important for except.
--If we did it the other way we would get this:
SELECT country,city FROM countries
EXCEPT
SELECT country,city FROM OLTP.dbo.countries

--In the case of sales the code would look like this
SELECT * FROM OLTP.dbo.sales
EXCEPT
(SELECT * FROM sales_2016
UNION ALL
SELECT * FROM sales_2017)
--These are all the sales that are not yet in our production sales table
